Subject: Re: [PATCH net-next 0/5] netdevsim: get link via ethtool, set via sysfs

From: Jakub Kicinski <[email-masked]>
Date: Mon, 11 May 2026 16:59:30 -0700

On Mon, 11 May 2026 11:50:32 +0200 Íñigo Huguet wrote:
> On Sun, May 10, 2026 at 6:52 PM Jakub Kicinski <[email-masked]> wrote:
> > Could you please explain your motivation? Feels quite trivial,
> > so it's not immediately obvious why we need tests.
> >  
> 
> We use netdevsim for some userspace CI testing here at Red Hat. Specifically,
> There are some tests that require reacting to carrier changes on a device
> matched by permanent MAC address from userspace. As veths don't have a
> permanent MAC address, we need netdevsim for this test case.
> 
> As you say, it's pretty trivial, but IMHO there's nothing against it, as it
> will help to resemble better a typical Ethernet device.
> 
> Note: we know that there's no guarantee regarding netdevsim's uAPI and we're
> ready to adapt for any change, but the truth is that there's no reasonable
> replacement of netdevsim for these kinds of cases where veth is not enough.

All code require maintenance. I'm trying to push back on netdevsim use
across the board. It was essentially a workaround for us not having any
real HW CI upstream. But that's no longer the case. Well, we still don't
have any crypto-capable HW :/ I think you'd be better off implementing
whatever you need in a small OOT module instead adding fake tests
upstream.